Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal
Class SyntheticSymbolSourceContributionDef

    java.lang.Object
      org.apache.tapestry5.internal.AbstractContributionDef
          org.apache.tapestry5.internal.SyntheticSymbolSourceContributionDef

All Implemented Interfaces:
  ContributionDef

    public class SyntheticSymbolSourceContributionDef

extends AbstractContributionDef

Makes a contribution to the SymbolSource service configuration.

Constructor Summary
`SyntheticSymbolSourceContributionDef(java.lang.String contributionName, SymbolProvider provider, java.lang.String... constraints)`

Method Summary
`void` | `contribute(ModuleBuilderSource moduleSource, ServiceResources resources, OrderedConfiguration configuration)` Performs the work needed to contribute into the ordered configuration.
`java.lang.String` | `getServiceId()` Returns "SymbolSource".

Methods inherited from class org.apache.tapestry5.internal.AbstractContributionDef
`contribute, contribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyntheticSymbolSourceContributionDef

    public SyntheticSymbolSourceContributionDef(java.lang.String contributionName,
                                                SymbolProvider provider,
                                                java.lang.String... constraints)

Method Detail

### contribute

    public void contribute(ModuleBuilderSource moduleSource,
                           ServiceResources resources,
                           OrderedConfiguration configuration)

  Description copied from interface: `ContributionDef`
  Performs the work needed to contribute into the ordered configuration.

  Specified by:
    `contribute` in interface `ContributionDef`
  Overrides:
    `contribute` in class `AbstractContributionDef`
  Parameters:
    `moduleSource` - the source, if needed, of the module instance associated with the contribution
    `resources` - allows access to services visible to the module
    `configuration` - the ordered configuration into which values should be loaded. This instance will encapsulate all related error checks (such as passing of nulls or inappropriate classes).

### getServiceId

    public java.lang.String getServiceId()

  Returns "SymbolSource".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.